Bug 1659821 - systemd-udevd could not rename interface 'N' from ethX to enXXXX: File exists
Summary: systemd-udevd could not rename interface 'N' from ethX to enXXXX: File exists
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-16 19:43 UTC by Chaim Frenkel
Modified: 2019-11-27 22:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:38:31 UTC


Attachments (Terms of Use)
udevadm output for lan ports on pci card (5.97 KB, text/plain)
2018-12-16 19:43 UTC, Chaim Frenkel
no flags Details

Description Chaim Frenkel 2018-12-16 19:43:59 UTC
Created attachment 1514919 [details]
udevadm output for lan ports on pci card

Description of problem:

When booting, multi-port lan card is not properly named

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Boot

Actual results:

Port is not renamed from ethN to correct persistent name


Expected results:

Port should be renamed to correct persistent name


Additional info:

e1000e driver does not assign unique ID_NET_NAME 

Dec 16 14:25:18 central systemd-udevd[423]: could not rename interface '4' from 'eth1' to 'ens6f0': File exists
Dec 16 14:25:18 central systemd-udevd[426]: could not rename interface '7' from 'eth4' to 'ens6f1': File exists

Comment 1 Jan Pokorný [poki] 2019-04-08 22:14:14 UTC
By chance, had a look at udev bug list, but since the current assignee
contact indicates that "udev" is no longer tracked as a separate
component, reassigning to "systemd" (for systemd-udev).

Comment 2 Ben Cotton 2019-10-31 19:14:17 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 22:38:31 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.